---
updatedAt: 2026-11-11T07:32:40.000Z
agentTools:
  projectIndex: https://docs.yotpo.com/llms.txt
---

# Re-add email addresses to email distribution lists

Re-adds email addresses to your mailing list that you added to your Yotpo email blocklist. Customers who organically unsubscribed from your mailing list will not be re-added.

> 👍 How to use this endpoint
>
> * To see example requests, click **Examples** in the payload on the right.
> * For example responses, click the relevant status code on the right.

> 📘 Note:
>
> * Currently, the returned `unsubscribers.id` is not supported in the Yotpo API.
> * For multiple requests, Yotpo recommends passing batches of 150 emails per request.
> * If you use the async parameter, the response does not contain "unsubscribers".
> * If you use the validate\_data parameter, the response will contain errors if the requested parameters are not valid.

## `email_list` request body

The `email_list` object is a hash of email addresses grouped by email type. **Each key must be the Number from the Email types table below** (for example `1`, `2`, or `3`). The value for each key is an array of email addresses to re-add for that email type.

For example, to re-add addresses to email type `1` (Mails After Purchase and other reminder emails):

```json
{
  "email_list": {
    "1": [
      "test@email.com"
    ]
  }
}
```

To target multiple email types in one request, add a separate key for each Number from the table:

```json
{
  "email_list": {
    "1": [
      "test@email.com"
    ],
    "3": [
      "another@email.com"
    ]
  }
}
```

## Email types

Use the **Number** column below as the key in your `email_list` request body.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Number
      </th>

      <th>
        Email Type
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        1
      </td>

      <td>
        Mails After Purchase and other reminder emails
      </td>
    </tr>

    <tr>
      <td>
        2
      </td>

      <td>
        Targeted Review Requests
      </td>
    </tr>

    <tr>
      <td>
        3
      </td>

      <td>
        Mail after service: emails sent as a follow-up in Zendesk integration
      </td>
    </tr>

    <tr>
      <td>
        4
      </td>

      <td>
        Comment requests: store owners with comments feature, get this after a new review is written
      </td>
    </tr>

    <tr>
      <td>
        5
      </td>

      <td>
        Comment notification: reviewers get this after store owner comments on a review
      </td>
    </tr>

    <tr>
      <td>
        6
      </td>

      <td>
        Site reminder: site review requests that sent with the 'slider' feature
      </td>
    </tr>

    <tr>
      <td>
        7
      </td>

      <td>
        Mail after invoice: emails sent from the "Site Review Automation" feature
      </td>
    </tr>

    <tr>
      <td>
        8
      </td>

      <td>
        Question confirmation: mail sent to confirm the email of a user who asks a question. Questions are only submitted once the poser confirms their email.
      </td>
    </tr>

    <tr>
      <td>
        9
      </td>

      <td>
        Answer request shop owner
      </td>
    </tr>

    <tr>
      <td>
        10
      </td>

      <td>
        Answer request shoppers
      </td>
    </tr>

    <tr>
      <td>
        11
      </td>

      <td>
        Answer notification shop owner
      </td>
    </tr>

    <tr>
      <td>
        12
      </td>

      <td>
        Answer notification shoppers: the notification sent to the user that asked the question that the question has been answered
      </td>
    </tr>

    <tr>
      <td>
        13
      </td>

      <td>
        Resend reminder: this is only sent  when a reminder is resent manually from the Admin
      </td>
    </tr>

    <tr>
      <td>
        14
      </td>

      <td>
        Anonymous testimonials request: HubSpot integration emails
      </td>
    </tr>

    <tr>
      <td>
        15
      </td>

      <td>
        Targeted Product Review request: the Targeted Product Review request email
      </td>
    </tr>

    <tr>
      <td>
        16
      </td>

      <td>
        Coupon Reminder
      </td>
    </tr>

    <tr>
      <td>
        17
      </td>

      <td>
        Coupon Notification
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Reviews API (V1)",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.yotpo.com",
      "description": "Main API server for authenticated and write operations"
    }
  ],
  "components": {
    "securitySchemes": {
      "X-Yotpo-Token": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Yotpo-Token",
        "description": "Your Yotpo account access token. See [Yotpo Authentication](ref:yotpo-authentication) to learn how to generate your token."
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Missing or invalid access token",
        "content": {
          "application/json": {
            "examples": {
              "Unauthorized": {
                "value": {
                  "status": {
                    "message": "You are not authorized to access this page.",
                    "code": 401,
                    "error_type": "Exceptions::AccessDenied"
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable error message"
                    },
                    "code": {
                      "type": "integer",
                      "description": "HTTP status code"
                    },
                    "error_type": {
                      "type": "string",
                      "description": "Internal error class"
                    }
                  },
                  "description": "Error details."
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "X-Yotpo-Token": []
    }
  ],
  "paths": {
    "/apps/{store_id}/unsubscribers/mass_delete": {
      "delete": {
        "summary": "Re-add email addresses to email distribution lists",
        "description": "Re-adds email addresses to your mailing list that you added to your Yotpo email blocklist. Customers who organically unsubscribed from your mailing list will not be re-added.\n\nIn the `email_list` request body, use the **Number** from the Email types table on this page as each object key (for example `1`, `2`, or `3`). Each key maps to an array of email addresses to re-add for that email type.",
        "operationId": "re-add-email-addresses-to-email-distribution-lists",
        "parameters": [
          {
            "name": "store_id",
            "in": "path",
            "description": "The store ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email_list": {
                    "type": "object",
                    "description": "Hash of email addresses by email type. Use the Number from the Email types table on this page as each key (for example `1`, `2`, or `3`).",
                    "additionalProperties": {
                      "type": "array",
                      "description": "Email addresses to re-add for the email type identified by this key.",
                      "items": {
                        "type": "string",
                        "description": "Email address",
                        "example": "test@email.com"
                      }
                    },
                    "example": {
                      "1": [
                        "test@email.com"
                      ]
                    }
                  },
                  "async": {
                    "type": "boolean",
                    "description": "Perform subscription changes asynchronously."
                  },
                  "validate_data": {
                    "type": "boolean",
                    "description": "Validate the email_list. You can only use this parameter with async."
                  }
                },
                "required": [
                  "email_list"
                ]
              },
              "examples": {
                "HTTP+JSON": {
                  "value": {
                    "email_list": {
                      "1": [
                        "test@example.com"
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Default output": {
                    "value": "{\n  \"status\": {\n    \"code\": 200,\n    \"message\": \"OK\"\n  },\n  \"response\": {\n    \"unsubscribers\": [\n      {\n        \"id\": 18637,\n        \"user_email\": \"test@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 18638,\n        \"user_email\": \"test2@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 18639,\n        \"user_email\": \"test4@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 18640,\n        \"user_email\": \"test@example.com\",\n        \"email_type_id\": 3,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 18641,\n        \"user_email\": \"test2@example.com\",\n        \"email_type_id\": 3,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 18642,\n        \"user_email\": \"test4@example.com\",\n        \"email_type_id\": 3,\n        \"unsubscribed_by_name\": \"USER\"\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0,
                          "description": "HTTP status code."
                        },
                        "message": {
                          "type": "string",
                          "example": "OK",
                          "description": "Status message, for example `OK`."
                        }
                      },
                      "description": "Request status."
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "unsubscribers": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 18637,
                                "default": 0,
                                "description": "Unsubscribe record ID."
                              },
                              "user_email": {
                                "type": "string",
                                "example": "test@gmail.com",
                                "description": "The unsubscribed email address."
                              },
                              "email_type_id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0,
                                "description": "The email type the address is unsubscribed from, as a number from the Email types table on Remove a set of email addresses (for example `1` for post-purchase review requests and reminders)."
                              },
                              "unsubscribed_by_name": {
                                "type": "string",
                                "example": "USER",
                                "description": "Who unsubscribed the address: `USER` (the recipient) or `MODERATOR` (your store)."
                              }
                            }
                          },
                          "description": "Unsubscribe records."
                        }
                      },
                      "description": "Response payload."
                    }
                  }
                }
              },
              "text/plain": {
                "examples": {
                  "Output with async and validate_data parameters": {
                    "value": "{\n  \"status\": {\n    \"code\": 200,\n    \"message\": \"OK\"\n  },\n  \"errors\": [\n    {\n      \"value\": \"14\",\n      \"error\": \"email type ID is not valid\"\n    },\n    {\n      \"value\": \"invalid-email-1\",\n      \"error\": \"email is not valid\"\n    },\n    {\n      \"value\": \"invalid-email-2\",\n      \"error\": \"email is not valid\"\n    }\n  ]\n}"
                  },
                  "Output with async parameter": {
                    "value": "{\n  \"status\": {\n    \"code\": 200,\n    \"message\": \"OK\"\n  }\n}  "
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Output with async and validate_data parameters",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "integer",
                              "example": 200,
                              "default": 0
                            },
                            "message": {
                              "type": "string",
                              "example": "OK"
                            }
                          }
                        },
                        "errors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "value": {
                                "type": "string",
                                "example": "14"
                              },
                              "error": {
                                "type": "string",
                                "example": "email type ID is not valid"
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Output with async parameter",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "integer",
                              "example": 200,
                              "default": 0
                            },
                            "message": {
                              "type": "string",
                              "example": "OK"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "value": "application/json",
        "key": "Content-Type"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```